<?php

\session_start();
include './common.php';
use Ministra\Lib\Admin;
use Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf;
\Ministra\Lib\Admin::checkAuth();
$image_url = \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::getSafe('vclub_info_provider', 'kinopoisk') == 'kinopoisk' ? 'kinopoisk.ru/' : 'image.tmdb.org/';
if ((\strpos($_GET['url'], 'http://') === 0 || \strpos($_GET['url'], 'https://') === 0) && \strpos($_GET['url'], $image_url)) {
    echo \file_get_contents($_GET['url']);
}
